Subject: Re: bug#37684: 24.5; comint-password-prompt-regexp and openvpn

From: Stefan Kangas <[email-masked]>
Date: Wed, 9 Oct 2019 22:14:11 +0200

Syd Bauman <[email-masked]> writes:

>>>From `emacs -Q -nw`:
>
>  1) M-x shell
>  2) In *shell* buffer, issue `openvpn`
>  3) Password for sudo is appropriately collected in minibuffer w/o
>     echoing, but password for openvpn is prompted for in the *shell*
>     buffer and echoed. The prompt that is not recognized by
>     comint-watch-for-password-prompt is "Enter Auth Password: ".
>  4) I have tried customizing comint-password-prompt-regexp, and if I set
>     it to just "Enter Auth Password: ", it works in that the password is
>     collected in the minibuffer w/o echoing. However, there are control
>     characters fore and aft which should probably be stripped.
>     ('^[[0;1;39m' before and '^[[0m' after the prompt characters.)
>
>  Sample session
>  ------ -------
>  $ sudo openvpn --config /home/syd/.config/OpenVPN/RAC_ambupro/AmbuPro.ovpn
>  $ [sudo] password for syd:
>  > Wed Oct  9 13:45:15 2019 OpenVPN 2.3.10 x86_64-pc-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [PKCS11] [MH] [IPv6] built on Jan  9 2019
>  > Wed Oct  9 13:45:15 2019 library versions: OpenSSL 1.0.2g  1 Mar 2016, LZO 2.08
>  $ Enter Auth Username: sbauman
>  > *******
>  $ Enter Auth Password: asdf
>  > ****

Thanks for the report.  This is a duplicate of Bug#35724 that has
already been fixed on master.  I'm merging these bugs and closing.

commit f6d3005069551f3ed5817078a095b868007bf12d
Author: Matthew Bauer <[email-masked]>
Date:   Mon May 13 18:39:32 2019 -0400

    Add "Enter Auth" prompt handling for OpenVPN (Bug#35724)

    * lisp/comint.el (comint-password-prompt-regexp): Allow "Enter Auth"
    at the beginning.

Best regards,
Stefan Kangas